# Generated by Django 2.2.3 on 2019-09-09 13:14

from django.conf import settings
from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('models', '0014_auto_20190909_1314'),
        ('places', '0008_auto_20190902_1502'),
    ]

    operations = [
        migrations.RenameModel(
            old_name='CompleteDirection',
            new_name='CompleteLocation',
        ),
        migrations.RenameModel(
            old_name='HistoricalCompleteDirection',
            new_name='HistoricalCompleteLocation',
        ),
        migrations.RenameModel(
            old_name='HistoricalStreetDirection',
            new_name='HistoricalStreetLocation',
        ),
        migrations.RenameModel(
            old_name='StreetDirection',
            new_name='StreetLocation',
        ),
        migrations.AlterModelOptions(
            name='completelocation',
            options={'ordering': ['-street_location']},
        ),
        migrations.AlterModelOptions(
            name='historicalcompletelocation',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': 'historical complete location'},
        ),
        migrations.AlterModelOptions(
            name='historicalstreetlocation',
            options={'get_latest_by': 'history_date', 'ordering': ('-history_date', '-history_id'), 'verbose_name': 'historical street location'},
        ),
        migrations.AlterModelOptions(
            name='tower',
            options={'ordering': ['-street_location']},
        ),
        migrations.RenameField(
            model_name='completelocation',
            old_name='street_direction',
            new_name='street_location',
        ),
        migrations.RenameField(
            model_name='historicalcompletelocation',
            old_name='street_direction',
            new_name='street_location',
        ),
        migrations.RenameField(
            model_name='historicaltower',
            old_name='street_direction',
            new_name='street_location',
        ),
        migrations.RenameField(
            model_name='tower',
            old_name='street_direction',
            new_name='street_location',
        ),
        migrations.AlterUniqueTogether(
            name='tower',
            unique_together={('name', 'street_location')},
        ),
    ]
